package ast;

import java.util.ArrayList;

public class Block extends Statement {
	private ArrayList<Statement> statements = new ArrayList<Statement>();

	public void addStatement(Statement statement) {
		statements.add(statement);
	}

	public ArrayList<Statement> getStatements() {
		return statements;
	}

	@Override
	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}
