package ast;

import nameana.Symbol;

public class Parameter implements Referenceable {
	private Type type;
	private Symbol name;

	public Parameter(Type type, Symbol name) {
		this.type = type;
		this.name = name;
	}

	@Override
	public Type getType() {
		return type;
	}

	public Symbol getName() {
		return name;
	}

	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}
