package ast;

import java.util.ArrayList;

public class Program {
	private ArrayList<Procedure> procedures;

	public Program(ArrayList<Procedure> procedures) {
		this.procedures = procedures;
	}

	public ArrayList<Procedure> getProcedures() {
		return procedures;
	}

	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}
