package ast;

public class While extends Statement {
	private Expression condition;
	private Statement body;

	public While(Expression condition, Statement body) {
		this.condition = condition;
		this.body = body;
	}

	public Expression getCondition() {
		return condition;
	}

	public Statement getBody() {
		return body;
	}

	@Override
	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}
