package nameana;

import java.util.HashMap;

public class StringTable {
	private HashMap<String, Symbol> identifiers = new HashMap<String, Symbol>();
	
	public Symbol get(String string) {
		Symbol result = identifiers.get(string);
		if (result == null) {
			result = new Symbol(string);
			identifiers.put(string, result);
		}
		return result;
	}
}