package tokens;
public class Number extends Token {
	private String string;

	public Number(String string) {
		super(TokenType.NUMBER);
		this.string = string;
	}

	public String getString() {
		return string;
	}

	public int getAsInt() {
		return Integer.getInteger(string);
	}

	@Override
	public String toString() {
		return string;
	}
}
