package ast;

public class Number extends Expression {
	private String string;

	public Number(String string) {
		this.string = string;
	}

	public String getString() {
		return string;
	}

	public int asInt() {
		return Integer.parseInt(string);
	}

	@Override
	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}
